<?php
#Автор - TheAlex
#Модуль - газета
#Php-Zona.Ru
#2014 год
$title = 'Создание статьи';
require_once ('../system/function.php');
require_once ('../system/header.php');

if(!$user['id'] or $user['journal'] < 1) {
	echo '<div class="title">Ошибка</div>
<div class="podmenu"><center><b>У вас не достаточно прав для просмотра данной страницы!</b></center></div>';
	require_once ('../system/footer.php');
	exit();
}
$id=strong($_GET['id']);
$name=strong($_POST['name']);
$news=strong($_POST['news']);
if (isset($_POST['ok'])) {
$maxsize = 2; // Максимальный размер файла,в мегабайтах 
$size = $_FILES['filename']['size']; // Вес файла

/* Если не выбрали файл */
if(!@file_exists($_FILES['filename']['tmp_name'])) {
echo '<div class="podmenu"><center><b>Вы не выбрали файл!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Максимальный размер 1мб */
if ($size > (1048576 * $maxsize)) {
echo '<div class="podmenu"><center><b>Максимальный размер файла '.$maxsize.'мб!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Тип файлов которые можно загружать */
$filetype = array ( 'jpg', 'gif', 'png', 'jpeg', 'bmp' ); 
$upfiletype = substr($_FILES['filename']['name'],  strrpos( $_FILES['filename']['name'], ".")+1); 
  
/* Если тип файла не подходит */
if(!in_array($upfiletype,$filetype)) {
echo '<div class="podmenu"><center><b>К загрузке разрешены файлы форматом JPG,GIF,PNG,JPEG,BMP!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Если все окей,заливаем файл в папу и делаем запрос */
$files = 'files_'.rand(1234,5678).'_'.rand(1234,5678).'_'.$_FILES['filename']['name']; 

/* Заливаем */
move_uploaded_file($_FILES['filename']['tmp_name'], "../gazeta/photo/".$files.""); 

	if(empty($_POST['name'])) {
		echo '<div class="podmenu"><font color="red">Введите имя новости</font></div>';
	}else
		if(empty($_POST['news'])) {
		echo '<div class="podmenu"><font color="red">Введите текст новости</font></div>';
	}else
		if(!empty($_POST['name']) && !empty($_POST['news'])) {
		//Обработчик если все верно. Пойду покурю
		//Покурил, продолжаем
		mysql_query("INSERT INTO gazeta_n SET name='".$name."', news='".$news."',  razd='".$id."', photo='".$files."', dob='".$user['id']."', time='".time()."'");
		echo '<div class="podmenu"><font color="green">Новость успешно создана</font></div>';
	}

	
}
echo '<div class="podmenu"><form action="" method="post" enctype="multipart/form-data"> 
Название:<br/>
<input type="text" name="name"><br/>
Текст новости:<br/>
<textarea name="news"></textarea><br/>
Выберите скрин:<br><input type="file" name="filename"/><br> 
<input type="submit" name="ok">
</div></form>';
require_once ('../system/footer.php');
?>